LFR-FSW - Bug #3941

Calcul des BP2 erroné pour F2 [3.3.0.7 avec matrices unitaires]
28/03/2022 06:40 PM - thomas chust

Status: Closed Start date: 28/03/2022
Priority: High Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.3 Spent time: 0.00 hour
revision: r0

Description

A F2 le calcul des ASM semble correct sur toute la bande de fréquence ( #3936 ). Voir par exemple les résultat des CTC-902 ou
CTC-912. En utilisant les ASM des ces tests j'ai reconstruit des BP2. Normalement a quelques imprécisions prés on devrait retrouver
les BP2 calculés a bord. Mais ce n'est pas ce que j'observe: aucune correpondance, tout semble faux. Pour vérifier que je ne me
suis pas planté complétement, j'ai refait le méme type de calcul/comparaison mais avec le run du 14 mars qui utilise la 3.2.0.24
(F2-64Hz-2Vpp_on_E1E2B1B2B3): la pas de pb je retrouve bien ce qu'il faut.

A suivre ...

Related issues:
Related to Bug #3936: Comparaison/validation FSW 3.2.0.24 vs 3.3.0.7 avec mat... In Progress  15/03/2022

History

#1 - 28/03/2022 06:44 PM - thomas chust
- Related to Bug #3936: Comparaison/validation FSW 3.2.0.24 vs 3.3.0.7 avec matrices unitaires. added

#2 - 31/03/2022 10:53 AM - bruno katra
- Priority changed from Normal to High

#3 - 31/03/2022 03:51 PM - bruno katra

- Subject changed from Calcul des BP2 erroné [3.3.0.7 avec matrices unitaires] to Calcul des BP2 erroné pour F2 [3.3.0.7 avec matrices unitaires]

#4 - 01/04/2022 10:42 AM - bruno katra

Dans le CTC-912 on a les BP2 du canal NORMAL + les BP2 du canal SBM1.
Question : Qaund tu dis que les BP2 sont faux s'agit-il des BP2 du mode NORMAL ou les les 2?7

#5 - 01/04/2022 10:46 AM - thomas chust
bruno katra wrote in #note-4:
Dans le CTC-912 on a les BP2 du canal NORMAL + les BP2 du canal SBM1.
Question : Qaund tu dis que les BP2 sont faux s'agit-il des BP2 du mode NORMAL ou les les 2?

Comme tu as bien fait de le préciser dans le titre, il s'agit des BP2 a F2, donc NORMAL wink.png

#6 - 01/04/2022 11:18 AM - bruno katra

thomas chust wrote in #note-5:

bruno katra wrote in #note-4:

Dans le CTC-912 on a les BP2 du canal NORMAL + les BP2 du canal SBM1.
Question : Qaund tu dis que les BP2 sont faux s'agit-il des BP2 du mode NORMAL ou les les 27

Comme tu as bien fait de le préciser dans le titre, il s'agit des BP2 & F2, donc NORMAL wink.png

Ah mince oui tu as raison : en SBM1 c'est les BP2@F1. Il aurait fallu faire du SBM2...

#7 - 30/06/2022 02:52 PM - thomas chust
https://hephaistos.lpp.polytechnique.fr/redmine/issues/3936

thomas chust wrote:

A F2 le calcul des ASM semble correct sur toute la bande de fréquence ( #3936 ). Voir par exemple les résultat des CTC-902 ou CTC-912. En
utilisant les ASM des ces tests j'ai reconstruit des BP2. Normalement a quelques imprécisions prés on devrait retrouver les BP2 calculés a bord.
Mais ce n'est pas ce que j'observe: aucune correpondance, tout semble faux. Pour vérifier que je ne me suis pas planté complétement, j'ai refait
le méme type de calcul/comparaison mais avec le run du 14 mars qui utilise la 3.2.0.24 (F2-64Hz-2Vpp_on_E1E2B1B2B3): la pas de pb je
retrouve bien ce qu'il faut.

A suivre ...

Bon, avec la 3.3.0.9 (test https://hephaistos.lpp.polytechnique.fr/redmine/issues/3936#note-80) je fais le méme constat a FO : les BP2 sont tout faux.

#8 - 30/06/2022 03:59 PM - thomas chust

idem a F1 (test https:/hephaistos.lpp.polytechnique.fr/redmine/issues/3936#note-82) : les BP2 sont tout faux.

#9 - 01/07/2022 06:06 PM - thomas chust

thomas chust wrote in #note-8:

idem a F1 (test https://hephaistos.lpp.polytechnique.fr/redmine/issues/3936#note-82) : les BP2 sont tout faux.

J'ai regardé aussi les BP1 et cela semble tout faux aussi. On dirait que le code met des mémes valeurs partout pour les 'float & la chust' (termes
diagonaux des BP2, PE, PB, SX, VPHI).

Exemple

Ce que je pense correcte d'aprés les ASM:
bp2_asm_avel[i_asm, ifreq_bp, ...]

array(2188542.75 +0.] <br /> -2760669.5 -934734.125] .<br/> -2174959.75 -2933943.75]  <br/> 723988.75
-46998.01171875j.<br /> -1418795.25 -336465.75]  ].<br /> [(2760669.5 +934734.125] .<br/> 3881594.25 +0.] <br />
3996637.  +2772002. <br /> -893179.6875 +368502.3125] .<br /> 1933403.5 -181548.0625] ].<br/> [-2174959.75
+2933943.75] . <br/> 3996637.  -2772002.j <br /> 6098136. +0.] <br/> -657047. +1018144.8125] .<br/>
1862632.625 -1568978.875] ].<br/> [ 723988.75  +46998.01171875j.<br /> -893179.6875 -368502.3125] .<br /> -657047.
-1018144.8125] .<br/> 240819.09375  +0j <br /> -462712.375 -141954.578125§ ].<br /> [-1418795.25 +336465.75]

<br/> 1933403.5 +181548.0625] .<br /> 1862632.625 +1568978.875] .<br /> -462712.375 +141954.578125] <br />
972745.625 +0.))

Observé pour les BP2:

bp2['bp2_idI'][i_bp2, ifreq_bp, ...]

array(7.45058060e-09+0.0000000e+00j, 2.92179649e-11-7.4505806e-09j,<br /> 2.92179649e-11-7.4505806e-09j
2.92179649e-11-7.4505806e-09j,<br /> 2.92179649e-11-7.4505806e-09j],<br /> [2.92179649e-11+7.4505806e-09j,
7.45058060e-09+0.0000000e+00j.<br /> 2.92179649e-11-7.4505806e-09j, 2.92179649e-11-7.4505806€e-09j.<br />
2.92179649e-11-7.4505806e-09j].<br /> [2.92179649¢e-11+7.4505806e-09], 2.92179649e-11+7.4505806€-09j,<br />
7.45058060e-09+0.0000000e+00j, 2.92179649e-11-7.4505806e-09j,<br /> 2.92179649e-11-7.4505806e-09j].<br />
[2.92179649e-11+7.4505806e-09j, 2.92179649e-11+7.4505806e-09j,<br /> 2.92179649e-11+7.4505806e-09j
7.45058060e-09+0.0000000e+00j,<br /> 2.92179649e-11-7.4505806e-09j].<br /> [2.92179649e-11+7.4505806e-09j
2.92179649e-11+7.4505806e-09j,<br /> 2.92179649e-11+7.4505806e-09j, 2.92179649e-11+7.4505806e-09j,<br />
7.45058060e-09+0.0000000e+00j)

observé pour BP1:

PB et PB:

bp1['psd_be'|[i_bp1, ifreq_bp, :]
array([7.4505806e-09, 7.4505806e-09])
SX:

bp1['sx'][i_bp1, ifreq_bp]
array([7.4505806e-09, 0.0000000e+00])
VPHI:

bp1['vphi'[i_bp1, ifreq_bp]
array([7.4505806e-09, 0.0000000e+00])

#10 - 02/09/2022 04:12 PM - bruno katra

- Status changed from New to In Progress

Apreés discussions avec Alexis ce matin : afin d'essayer d'isoler si le pb ne vient pas en amont du calcul des BP, on s'est dit qu'on pourrait regarder
les valeurs des ASM_C (ASM compressées qui ne se trouvent sue a bord et servent au calcul des BP) dans la mémoire de LFR:

SETUP : 3.3.0.9 avec KCOEFF par défaut
RESULTATS

INJECTION 2V@192Hz sur toutes les voies (freq propre de F1):
https://hephaistos.lpp.polytechnique.fr/redmine/issues/3936
https://hephaistos.lpp.polytechnique.fr/redmine/issues/3936#note-80
https://hephaistos.lpp.polytechnique.fr/redmine/issues/3936#note-82
https://hephaistos.lpp.polytechnique.fr/redmine/issues/3936#note-82
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/_218854275_+0j_%3Cbr_%3E_-27606695_-934734125j_%3Cbr_%3E_-217495975_-293394375j_%3Cbr_%3E_72398875_-4699801171875j%3Cbr_%3E_-141879525_-33646575j_%5D%3Cbr_%3E_%5B-27606695_+934734125j_%3Cbr_%3E_388159425_+0j_%3Cbr_%3E_3996637_+2772002j_%3Cbr_%3E_-8931796875_+3685023125j_%3Cbr_%3E_19334035_-1815480625j_%5D%3Cbr_%3E_%5B-217495975_+293394375j_%3Cbr_%3E_3996637_-2772002j_%3Cbr_%3E_6098136_+0j_%3Cbr_%3E_-657047_+10181448125j_%3Cbr_%3E_1862632625_-1568978875j_%5D%3Cbr_%3E_%5B_72398875_+4699801171875j%3Cbr_%3E_-8931796875_-3685023125j_%3Cbr_%3E_-657047_-10181448125j_%3Cbr_%3E_24081909375_+0j_%3Cbr_%3E_-462712375_-141954578125j_%5D%3Cbr_%3E_%5B-141879525_+33646575j_%3Cbr_%3E_19334035_+1815480625j_%3Cbr_%3E_1862632625_+1568978875j_%3Cbr_%3E_-462712375_+141954578125j_%3Cbr_%3E_972745625_+0j_
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/_218854275_+0j_%3Cbr_%3E_-27606695_-934734125j_%3Cbr_%3E_-217495975_-293394375j_%3Cbr_%3E_72398875_-4699801171875j%3Cbr_%3E_-141879525_-33646575j_%5D%3Cbr_%3E_%5B-27606695_+934734125j_%3Cbr_%3E_388159425_+0j_%3Cbr_%3E_3996637_+2772002j_%3Cbr_%3E_-8931796875_+3685023125j_%3Cbr_%3E_19334035_-1815480625j_%5D%3Cbr_%3E_%5B-217495975_+293394375j_%3Cbr_%3E_3996637_-2772002j_%3Cbr_%3E_6098136_+0j_%3Cbr_%3E_-657047_+10181448125j_%3Cbr_%3E_1862632625_-1568978875j_%5D%3Cbr_%3E_%5B_72398875_+4699801171875j%3Cbr_%3E_-8931796875_-3685023125j_%3Cbr_%3E_-657047_-10181448125j_%3Cbr_%3E_24081909375_+0j_%3Cbr_%3E_-462712375_-141954578125j_%5D%3Cbr_%3E_%5B-141879525_+33646575j_%3Cbr_%3E_19334035_+1815480625j_%3Cbr_%3E_1862632625_+1568978875j_%3Cbr_%3E_-462712375_+141954578125j_%3Cbr_%3E_972745625_+0j_
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/_218854275_+0j_%3Cbr_%3E_-27606695_-934734125j_%3Cbr_%3E_-217495975_-293394375j_%3Cbr_%3E_72398875_-4699801171875j%3Cbr_%3E_-141879525_-33646575j_%5D%3Cbr_%3E_%5B-27606695_+934734125j_%3Cbr_%3E_388159425_+0j_%3Cbr_%3E_3996637_+2772002j_%3Cbr_%3E_-8931796875_+3685023125j_%3Cbr_%3E_19334035_-1815480625j_%5D%3Cbr_%3E_%5B-217495975_+293394375j_%3Cbr_%3E_3996637_-2772002j_%3Cbr_%3E_6098136_+0j_%3Cbr_%3E_-657047_+10181448125j_%3Cbr_%3E_1862632625_-1568978875j_%5D%3Cbr_%3E_%5B_72398875_+4699801171875j%3Cbr_%3E_-8931796875_-3685023125j_%3Cbr_%3E_-657047_-10181448125j_%3Cbr_%3E_24081909375_+0j_%3Cbr_%3E_-462712375_-141954578125j_%5D%3Cbr_%3E_%5B-141879525_+33646575j_%3Cbr_%3E_19334035_+1815480625j_%3Cbr_%3E_1862632625_+1568978875j_%3Cbr_%3E_-462712375_+141954578125j_%3Cbr_%3E_972745625_+0j_
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/_218854275_+0j_%3Cbr_%3E_-27606695_-934734125j_%3Cbr_%3E_-217495975_-293394375j_%3Cbr_%3E_72398875_-4699801171875j%3Cbr_%3E_-141879525_-33646575j_%5D%3Cbr_%3E_%5B-27606695_+934734125j_%3Cbr_%3E_388159425_+0j_%3Cbr_%3E_3996637_+2772002j_%3Cbr_%3E_-8931796875_+3685023125j_%3Cbr_%3E_19334035_-1815480625j_%5D%3Cbr_%3E_%5B-217495975_+293394375j_%3Cbr_%3E_3996637_-2772002j_%3Cbr_%3E_6098136_+0j_%3Cbr_%3E_-657047_+10181448125j_%3Cbr_%3E_1862632625_-1568978875j_%5D%3Cbr_%3E_%5B_72398875_+4699801171875j%3Cbr_%3E_-8931796875_-3685023125j_%3Cbr_%3E_-657047_-10181448125j_%3Cbr_%3E_24081909375_+0j_%3Cbr_%3E_-462712375_-141954578125j_%5D%3Cbr_%3E_%5B-141879525_+33646575j_%3Cbr_%3E_19334035_+1815480625j_%3Cbr_%3E_1862632625_+1568978875j_%3Cbr_%3E_-462712375_+141954578125j_%3Cbr_%3E_972745625_+0j_
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/_218854275_+0j_%3Cbr_%3E_-27606695_-934734125j_%3Cbr_%3E_-217495975_-293394375j_%3Cbr_%3E_72398875_-4699801171875j%3Cbr_%3E_-141879525_-33646575j_%5D%3Cbr_%3E_%5B-27606695_+934734125j_%3Cbr_%3E_388159425_+0j_%3Cbr_%3E_3996637_+2772002j_%3Cbr_%3E_-8931796875_+3685023125j_%3Cbr_%3E_19334035_-1815480625j_%5D%3Cbr_%3E_%5B-217495975_+293394375j_%3Cbr_%3E_3996637_-2772002j_%3Cbr_%3E_6098136_+0j_%3Cbr_%3E_-657047_+10181448125j_%3Cbr_%3E_1862632625_-1568978875j_%5D%3Cbr_%3E_%5B_72398875_+4699801171875j%3Cbr_%3E_-8931796875_-3685023125j_%3Cbr_%3E_-657047_-10181448125j_%3Cbr_%3E_24081909375_+0j_%3Cbr_%3E_-462712375_-141954578125j_%5D%3Cbr_%3E_%5B-141879525_+33646575j_%3Cbr_%3E_19334035_+1815480625j_%3Cbr_%3E_1862632625_+1568978875j_%3Cbr_%3E_-462712375_+141954578125j_%3Cbr_%3E_972745625_+0j_
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/_218854275_+0j_%3Cbr_%3E_-27606695_-934734125j_%3Cbr_%3E_-217495975_-293394375j_%3Cbr_%3E_72398875_-4699801171875j%3Cbr_%3E_-141879525_-33646575j_%5D%3Cbr_%3E_%5B-27606695_+934734125j_%3Cbr_%3E_388159425_+0j_%3Cbr_%3E_3996637_+2772002j_%3Cbr_%3E_-8931796875_+3685023125j_%3Cbr_%3E_19334035_-1815480625j_%5D%3Cbr_%3E_%5B-217495975_+293394375j_%3Cbr_%3E_3996637_-2772002j_%3Cbr_%3E_6098136_+0j_%3Cbr_%3E_-657047_+10181448125j_%3Cbr_%3E_1862632625_-1568978875j_%5D%3Cbr_%3E_%5B_72398875_+4699801171875j%3Cbr_%3E_-8931796875_-3685023125j_%3Cbr_%3E_-657047_-10181448125j_%3Cbr_%3E_24081909375_+0j_%3Cbr_%3E_-462712375_-141954578125j_%5D%3Cbr_%3E_%5B-141879525_+33646575j_%3Cbr_%3E_19334035_+1815480625j_%3Cbr_%3E_1862632625_+1568978875j_%3Cbr_%3E_-462712375_+141954578125j_%3Cbr_%3E_972745625_+0j_
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/_218854275_+0j_%3Cbr_%3E_-27606695_-934734125j_%3Cbr_%3E_-217495975_-293394375j_%3Cbr_%3E_72398875_-4699801171875j%3Cbr_%3E_-141879525_-33646575j_%5D%3Cbr_%3E_%5B-27606695_+934734125j_%3Cbr_%3E_388159425_+0j_%3Cbr_%3E_3996637_+2772002j_%3Cbr_%3E_-8931796875_+3685023125j_%3Cbr_%3E_19334035_-1815480625j_%5D%3Cbr_%3E_%5B-217495975_+293394375j_%3Cbr_%3E_3996637_-2772002j_%3Cbr_%3E_6098136_+0j_%3Cbr_%3E_-657047_+10181448125j_%3Cbr_%3E_1862632625_-1568978875j_%5D%3Cbr_%3E_%5B_72398875_+4699801171875j%3Cbr_%3E_-8931796875_-3685023125j_%3Cbr_%3E_-657047_-10181448125j_%3Cbr_%3E_24081909375_+0j_%3Cbr_%3E_-462712375_-141954578125j_%5D%3Cbr_%3E_%5B-141879525_+33646575j_%3Cbr_%3E_19334035_+1815480625j_%3Cbr_%3E_1862632625_+1568978875j_%3Cbr_%3E_-462712375_+141954578125j_%3Cbr_%3E_972745625_+0j_
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/_218854275_+0j_%3Cbr_%3E_-27606695_-934734125j_%3Cbr_%3E_-217495975_-293394375j_%3Cbr_%3E_72398875_-4699801171875j%3Cbr_%3E_-141879525_-33646575j_%5D%3Cbr_%3E_%5B-27606695_+934734125j_%3Cbr_%3E_388159425_+0j_%3Cbr_%3E_3996637_+2772002j_%3Cbr_%3E_-8931796875_+3685023125j_%3Cbr_%3E_19334035_-1815480625j_%5D%3Cbr_%3E_%5B-217495975_+293394375j_%3Cbr_%3E_3996637_-2772002j_%3Cbr_%3E_6098136_+0j_%3Cbr_%3E_-657047_+10181448125j_%3Cbr_%3E_1862632625_-1568978875j_%5D%3Cbr_%3E_%5B_72398875_+4699801171875j%3Cbr_%3E_-8931796875_-3685023125j_%3Cbr_%3E_-657047_-10181448125j_%3Cbr_%3E_24081909375_+0j_%3Cbr_%3E_-462712375_-141954578125j_%5D%3Cbr_%3E_%5B-141879525_+33646575j_%3Cbr_%3E_19334035_+1815480625j_%3Cbr_%3E_1862632625_+1568978875j_%3Cbr_%3E_-462712375_+141954578125j_%3Cbr_%3E_972745625_+0j_
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j
https://hephaistos.lpp.polytechnique.fr/redmine/projects/lfr-fsw/wiki/745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j_292179649e-11-74505806e-09j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_745058060e-09+00000000e+00j%3Cbr_%3E_292179649e-11-74505806e-09j%5D%3Cbr_%3E_%5B292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_292179649e-11+74505806e-09j_292179649e-11+74505806e-09j%3Cbr_%3E_745058060e-09+00000000e+00j

py > print(get_cal_mat(‘compressed_sm_norm_f0"))

(1053055483, 1061444093, 1066615679, 1069832703, 1073049727, 1075004287, 1076612799, 1078221311, 1079829823, 1081438335,
1082588639, 1082588639, 1082588639, 1082588639, 1082588639, 1082588639, 1082588639, 1082588639, 1082588639, 1082588639,
1082588639, 1082588639, 1082588639, 1082588639, 1082588639, 1081438335, 1079829823, 1078221311, 1076612799, 1075004287,
1073049727, 1069832703, 1066615679, 1061444093, 1053055483, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0, 0, 0,0, 0,0, 0,0, 0, 0, 0, O, O,

0,0,00,00,000,0,00,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
900000000000000000000000,00°0°0°0°00°00°°”°”°0°°o°?-.o°o0°0°°°°0°00°00000000,0,0,O0,
0,00,0000000000,000000000000000000000000°0¢00,0°0°°°°0°00000000000,0,0,
0,0,00,00,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)

s Uy Uy » Uy, Uy, U, U, U, U, U, U U U

py > print(get_cal_mat(‘compressed_sm_norm_f1"))

(1088935759, 1097324367, 1101914488, 1105712968, 1108403852, 1110303092, 1112202332, 1114101572, 1115842839, 1116792463,
1117742087, 1118691711, 1119641335, 1119641335, 1119641335, 1119641335, 1119641335, 1119641335, 1119641335, 1119641335,
1119641335, 1119641335, 1119641335, 1119641335, 1119641335, 1118691711, 1117742087, 1116792463, 1115842839, 1114101572,
1112202332, 1110303092, 1108403852, 1105712968, 1101914488, 1097324367, 1088935759, 0, 0, 0,0, 0,0, 0,0,0,0,0,0,0,0,0,0,0, 0,0, 0, O,

0,0,0,0,00,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0,
0,0,0,0,0,00,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0,
0,00000000,0000000000000000000000000000000000000000000000000,0,
0,0,0,00,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0)

py > print(get_cal_mat('‘compressed_sm_norm_f2'))

(1171485305, 1179873916, 1184798174, 1188262526, 1191454607, 1193186783, 1194918959, 1196651135, 1198383311, 1199843215,
1200709303, 1201575391, 1201575391, 1201575391, 1201575391, 1201575391, 1201575391, 1201575391, 1201575391, 1201575391,
1201575391, 1201575391, 1201575391, 1201575391, 1201575391, 1200709303, 1199843215, 1198383311, 1196651135, 1194918959,
1193186783, 1191454607, 1188262526, 1184798174, 1179873916, 1171485305, 0, 0, 0, 0, 0, 0,0, 0,0, 0,0, 0,0,0,0,0,0,0,0,0,0,0, 0,0, 0, O,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0,
0,0,0000000,0,0000000000000000000000000000000000000000000000000,
0,0,000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0,
0,0)

INJECTION 2V@752Hz sur toutes les voies (freq propre de F1):

py > print(get_cal_mat('compressed_sm_norm_f0'))

(1054920593, 1063309203, 1068014511, 1071697807, 1074561463, 1076403111, 1078244764, 1080086417, 1081928071, 1082950078,
1083870905, 1083870905, 1083870905, 1083870905, 1083870905, 1083870905, 1083870905, 1083870905, 1083870905, 1083870905,
1083870905, 1083870905, 1083870905, 1083870905, 1083870905, 1082950078, 1081928071, 1080086417, 1078244764, 1076403111,
1074561463, 1071697807, 1068014511, 1063309203, 1054920593, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,0,0,0,0,0,0,0,0,0,0,0, 0, 0, O,

0,00,00000000,00,000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,00,00,0,00,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
900000000000000000000000,00°0°0°0°00°00°°0°”°0°°o,°?°.-°-°o00,°00°°>°”0000000000,0,0,0,
0,0,00,00,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0)

s Uy, Uy Uy

» U, U, U, U, U,y

py > print(get_cal_mat('compressed_sm_norm_f£1'))

(1080855320, 1089243932, 1093757014, 1097632542, 1100207856, 1102145616, 1104083376, 1106021136, 1107627576, 1108596456,
1109565336, 1110534216, 1111503096, 1111503096, 1111503096, 1111503096, 1111503096, 1111503096, 1111503096, 1111503096,
1111503096, 1111503096, 1111503096, 1111503096, 1111503096, 1110534216, 1109565336, 1108596456, 1107627576, 1106021136,
1104083376, 1102145616, 1100207856, 1097632542, 1093757014, 1089243932, 1080855320, 0, 0, 0, 0, 0, 0,0,0,0,0,0,0,0,0,0,0,0,0, 0, 0, O,

0,000000000000000000000000000000000°0°0°°0¢°0,°0,°0°°°°°0°000,00000000,0,0,
0,0,00,00,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
90000000000000000000000°0°,0°0°0°0°00°00°°,°”°0°°o°?-°-°o>0°0°°°0°0°00°00000000,0,0,0,
0,00,0000000000,00000000000000000000000°00°0¢°0,0,0°0°°°°0,°00000000000,0,O0,
0,0,00,00,0,00,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)

py > print(get_cal_mat(‘compressed_sm_norm_f2'))
(1167982793, 1176371402, 1181548850, 1184760010, 1187348730, 1189937450, 1191854253, 1193148613, 1194442973, 1195737333,
1197031693, 1198326053, 1198326053, 1198326053, 1198326053, 1198326053, 1198326053, 1198326053, 1198326053, 1198326053,
1198326053, 1198326053, 1198326053, 1198326053, 1198326053, 1197031693, 1195737333, 1194442973, 1193148613, 1191854253,

1189937450, 1187348730, 1184760010, 1181548850, 1176371402, 1167982793, 0, 0, 0, 0, 0, 0,0, 0, 0,0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, O,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0,0, 0,0, 0, 0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0,0, 0, 0, 0, 0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0,0, 0, 0, 0, 0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, 0,0, 0,0, 0, 0,
0,0)

CONCLUSION :

Les valeurs ci dessus sont les représentation en INTEGER de la valeur FLOAT des matrices MAIS on peut quand méme voir sans convertir que ;

- Indépendamment de la fréquence injectée, seulement quelques dizaines d'ASM au début ont une valeur. Toutes les autres sont a 0
- [dem pour les ASM@FO, F1 et F2
En effet je pense avoir trouvé le bug:
https://hephaistos.lpp.polytechnigue.fr/teamcity/buildConfiguration/LfrFlightSoftware_BuildLpp/75741?hideProblemsFromDependencies=false&hideT
estsFromDependencies=false&expandBuildChangesSection=true
https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/LfrFlightSoftware_BuildLpp/75741?hideProblemsFromDependencies=false&hideTestsFromDependencies=false&expandBuildChangesSection=true
https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight Software/commit/8021081f8d24905ce39ae18db7a21af95bdcebc?

#12 - 02/09/2022 04:50 PM - bruno katra

- Assignee changed from Alexis Jeandet to bruno katra

#13 - 05/09/2022 03:49 PM - bruno katra
Alexis Jeandet wrote in #note-11:
En effet je pense avoir trouvé le bug:

https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/LfrFlightSoftware BuildLpp/75741?hideProblemsFromDependencies=false&hi
deTestsFromDependencies=false&expandBuildChangesSection=true

https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight Software/commit/8021081{8d24905ce39ae18db7a21af95bdcebc7

Test préliminaire fait avec 3.3.0.9 "patchée" avec injection de 192 hz sur toutes les voies : c'est prometteur :maintenant les ASM_C a bord ne
contiennent plus les 0 :

py > print(get_cal_mat(‘compressed_sm_norm_f1"))

(1249968192, 1252900280, 1189540022, -901318062, 1192374538, -939136008, 1193842419, -934795118, 1199305916, 1256849732,
-897188766, 1200552578, -936110890, 1197922920, -930704642, 1202487583, 1243183676, 1204769430, -956656636, 1209724528, -952418753,
1167666674, 1172631689, 1041330363, 1177228723, 1079626645, 1081752281, 1046467669, -1072390892, -1090244738, -1107602093,
1020985419, -1103423337, 1024913541, 1085785473, -1068358019, -1090186023, -1104844479, 1026574695, -1099440932, 1031010866,
1079053322, 1036800510, -1117618184, 1041972966, -1113316361, 1004190097, 1008045136, 959806814, 1013311630, 1055442788,
1025681325, -1127198566, -1108962696, 1015637580, -1153710316, 990524525, -1147006730, 992358463, 1053469967, -1113031865,
-1110128198, -1156836013, -1163225376, -1148516254, -1163229378, 1065146459, 1009583520, -1138812447, 1015700220, -1134585406,
982054159, 980795171, 939043087, 988393350, 1052844984, 1029509339, -1134746436, -1105296074, -1148946712, -1156252470, 995915082,
-1148045251, 1000335041, 1052298861, -1131169477, -1123233986, -1170271104, 971486786, -1155611044, -1164143865, 1065653660,
1006950785, -1138321497, 1016220464, -1132464276, 979251866, 977065710, 944039379, 986743770, 1051186455, 1022564947, -1149015549,
-1115927799, -1144918822, -1151513646, 978261101, -1145900087, -1188943798, 1050086644, -1121050912, -1114006899, -1157442704,
-1166171490, -1148844740, -1156242626, 1060448538, 1009410704, -1145315302, 1016421188, -1140052533, 981808781, 980217196,
-1213861226, 988940357, 1049886107, 1029676084, 1004004285, -1122234506, 1025276814, -1156939400, 985455804, -1153472434,
984830117, 1049065846, -1114463776, 1020194316, -1156278056, 985058437, -1153505846, 985751334, 1059681318, 1010754520,
-1152412996, 1015257077, -1152409398, 982474564, 981101030, 949047390, 988033690, 1049159475, -1135165562, -1143849295,
-1124048913, 1010365523, -1155845564, 973770932, -1151715827, 971286214, 1045959070, -1147886968, -1114610853, -1172715400,
-1161313999, -1159412525, -1156235310, 1059237524, 1008717911, -1152059116, 1014595421, -1147872466, 979967937, 977904342,
939086911, 985840646, 1051213095, 995846336, 1000529810, -1108789971, 1019030059, -1144097700, 988872852, -1141353358, 999331000,
1049302170, 1003395274, 1005961553, 982761092, 984660730, -1162602024, 958842401, 1059997386, 1014429492, -1149159401, 1017838350,
-1140594155, 983835209, 981886696, -1195009848, 989528158, 1049675832, 1025718203, 1000445112, -1115383583, -1126391404,
-1148392033, 957423710, -1143649212, -1162268411, 1049367254, -1120248303, -1113249168, -1152471873, -1156755995, -1146176247,
-1149560667, 1058752419, 1011477847, -1148546063, 1017391053, -1145326825, 983062437, 982464785, 947516408, 990608193, 1048239013,
1026771944, 1018883294, -1121607964, -1123868930, -1151226646, -1157591517, -1147183430, -1158454394, 1048205456, -1113337869,
-1129838248, -1148562025, -1165922668, -1145939751, -1162559860, 1058900404, 1011079782, -1155973390, 1016769396, -1149104387,
983192460, 983310084, -1216695750, 990728543, 1048291591, -1137543434, -1142406631, -1123097627, 981951512, -11560990186,
-1216105600, -1149888882, -1165997140, 1045337409, 989973944, -1115468260, -1187321550, -1156973426, -1164893586, -1152974553,
1058434941, 1009275845, -1153509932, 1015248982, -1153492455, 982000066, 980689528, 948102138, 988842055, 1049169609, -1130115172,
-1155791638, -1110800082, 1013369309, -1154113232, 989882669, -1148170418, 995283997, 1049416262, 1028309890, -1119184064,
-1173720221, -1168933800, -1161599582, -1153487719, 1061190317, 1008621910, -1146688747, 1016054992, -1140566328, 979501426,
977584690, 941444814, 986698732, 1048787952, 1009585647, 984884468, -1124408323, -1134840262, -1152824391, -1181912125,
-1148656519, -1162427976, 1048302836, -1149187068, -1114567164, -1167027103, -1160415382, -1157136374, -1150053979, 1058353736,
1009876420, -1153698826, 1016449824, -1151065538, 981898516, 979827284, 938375950, 988634377)

Je vais relancer le méme sweep sur lequel Thomas voyait les BP tous faux (K coeff unitaires + sweep a F1 sur toutes les voies) pour une validation
qualitative des valeurs des BP.

#14 - 07/09/2022 05:20 PM - bruno katra

- Assignee changed from bruno katra to thomas chust

Résultats CTC-951 (sweep@F1 sur E1/E2/B1/B2/B3 avec KCOEFF unitaires) en "3.3.0.9-b" (3.3.0.9 patchée par Alexis le 5/09/2022) :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.9-b/CTC-951 &fileid=2679863

Pour valider I'état des BP + cohérence ASM/BP.

#15 - 08/09/2022 07:54 PM - thomas chust

- Assignee changed from thomas chust to Alexis Jeandet

bruno katra wrote in #note-14:

Résultats CTC-951 (sweep@F1 sur E1/E2/B1/B2/B3 avec KCOEFF unitaires) en "3.3.0.9-b" (3.3.0.9 patchée par Alexis le 5/09/2022) :
Pour valider I'état des BP + cohérence ASM/BP.

Bizarre bizarre ... Globalement tout est encore bien faux mais avec des valeurs non figées SAUF :
1) pour la premiére fréquence
2) et pour la partie reélle seulement
3) quelque soit la fréquence injectée
je trouve un trés bon accord entre les BP2 calculés a bord et ceux que je calcule a partir des ASM :

for ifreq in range(len(bp2_I1['freq'])):
print(bp2_I1_asm_ave[i_asm, ifreq, ...].real / bp2_I1['bp2_idI'|[i_bp2, ifreq, ...].real)

(print des rapports relatifs des 5x5 composantes matricielles pour ifreq=0)

[10.
[0.
[1.
[1.
[1.

9999442

98848332
00240861
00255589
01052553

.98848332
.99962417
.97897702
.98639042
.004895

... (aprés n'importe quoi)

.00240861
.97897702
.99979015
.99741427
.98597923

.00255589
.98639042
.99741427
.9999476

.99870123

.01052553]
.004895 ]
.98597923]
.99870123]
.9995837411]

Alexis, je pense qu'il y a encore un truc qui cloche quelque part dans le code ...

#16 - 09/09/2022 11:18 AM - Alexis Jeandet

thomas chust wrote in #note-15:

Tu peux vérifier les BP1 aussi?

bruno katra wrote in #note-14:

Résultats CTC-951 (sweep@F1 sur E1/E2/B1/B2/B3 avec KCOEFF unitaires) en "3.3.0.9-b" (3.3.0.9 patchée par Alexis le 5/09/2022) :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.9-b/CTC-951 &fileid=2679863

Pour valider I'état des BP + cohérence ASM/BP.

Bizarre bizarre ... Globalement tout est encore bien faux mais avec des valeurs non figées SAUF :
1) pour la premiére fréquence

2) et pour la partie reélle seulement
3) quelque soit la fréquence injectée

je trouve un trés bon accord entre les BP2 calculés a bord et ceux que je calcule a partir des ASM :

for ifreq in range(len(bp2_I1['freq'])):
print(bp2_I1_asm_ave[i_asm, ifreq, ...].real / bp2_I1['bp2_idI'[i_bp2, ifreq, ...].real)

(print des rapports relatifs des 5x5 composantes matricielles pour ifreq=0)

(-]

... (aprés n'importe quoi)

Alexis, je pense qu'il y a encore un truc qui cloche quelque part dans le code ...

#17 - 09/09/2022 01:41 PM - thomas chust

Bonne nouvelle, je peux déja dire que tous les PB et PE sont partout bons (identiques & ceux que je calcule avec les ASM):

- pour chaque BP1/ASM c'est a dire les 9 par fichier
- pour les 13 fréquences F1
- a priori pour les 104 fichiers mais je n'ai regardé que 2 pour l'instant ...

Cela veut-il dire que le bug sur les BP2 n'est pas au niveau de la matrice ASM_c ?

#18 - 09/09/2022 02:05 PM - Alexis Jeandet

Cela veut-il dire que le bug sur les BP2 n'est pas au niveau de la matrice ASM_c ?

Du coup ouai, il n'y a plus de bug sur la matrice ASM_c.
#19 - 09/09/2022 02:06 PM - thomas chust

du moins pour sa partie diagonale

#20 - 09/09/2022 03:42 PM - thomas chust

Tu peux vérifier les BP1 aussi?

Bon j'ai continué avec les autres BP1 et cela va plutét dans le bon sens:

- les DOP (avec racine carré) semblent ok au pb de précision numérique prés; vérifier toutefois que dans le FSW on a bien implémenté la racine
carré ce qui n'était pas le cas auparavant, sinon on est pas ok.

- ELLIP est ok au pb de précision pres

- idem avec NVEC

- SX partie réelle est trés bien, SX son bit d'argument il y a une probleme quand le Sx complexe (duguel on ne retient que la partie réelle) est un
imaginaire pur

- VPHI partie réelle ne semble pas bon du tout sans étre complétement a I'ouest (pb de précision ?); exemple:

Les rapport relatifs entre ce que je calcule a partir des ASM (bp1_from_asm) et les BP1 calculés a bord (bp1_I1):
bp1_from_asm['vphi_bp1"/ bp1_I1['vphi'][:,:,0] qui donne (array de 9 cas x 13 fréq)

array ([[0.67398706,
0.63965168,
0.47600603,
[0.62039243,
0.68861592,
0.47371066,
[0.83478213,
0.62216672,
0.45815066,
[0.60101126,
0.44309882,
0.40992104, .4577602 ,
[0.56450619, .36709617,

0.64374772,
0
0
0
0
0
0
0
0
0
0
0
0
0.2951607 , 0.5315442 ,
0
0
0
0
0
0
0
0
0
0
0
0
0

.84279414,
.55080843,
.64311317,
.97750932,
.51935065,
.5883162 ,
.9691301 ,
.51500279,
.46462098,
.81455329,

.48551286, 0.521246 , 0.47350695,
.73332434, 0.57437166, 0.59694102,
.49458129],
.49187431, 0.50237357, 0.54743528,
.72652183, 0.52741699, 0.60692777,
.49438819],
.48139589, 0.48822446, 0.48446648,
.63015068, 0.43284755, 0.5359264 ,
.48677846],
.41880171, 0.41470813, 0.44982286,
.48436613, 0.20388108, 0.410325 ,
.44575944]7,
.38708725, 0.37625105, 0.40124154,
.43579364, 0.10662038, 0.31927955,
.35559512],
.34043602, 0.41983651, 0.36840989,
.41402355, 0.19041422, 0.49088026,
.36850801],
.32368479, 0.40573546, 0.08964833,
.41324288, 0.14323584, 0.38861806,
.42406037],
.33571969, 0.41492685, 0.4290872 ,
.38993877, 0.2516188 , 0.32117904,
.40342039],
.26799071, 0.28895139, 0.37792776,
.36792897, 0.17660623, 0.57898456,
.38642624]17)

0.2316454 , 0.3938928 ,
[0.50799226, 0.46908048,
0.13454064, 0.16246146,
0.35983501, 0.43440646,
[0.52057581, 0.42273744,
0.04410259, 0.23315896,
0.3326396 , 0.41691457,
[0.51523924, 0.35041657,
0.03658612, 0.59087967,
0.24931674, 0.42737388,
[0.45756228, 0.34850031,
0.10111344, 0.85482635,
0.2716805 , 0.28760522,

O O O O O O O O O O O OO0 0o oOooooooo oo oo

#21 - 20/09/2022 04:45 PM - Alexis Jeandet

Au final je comprend pas ce qui marche ou pas, tu peux dire de maniére plus claire ce qui ne marche pas (seulement ce qui ne marche pas) sans
"sauf" ni double négations ou autres formulations ambigués?

#22 - 27/09/2022 05:22 PM - Alexis Jeandet

- Assignee changed from Alexis Jeandet to bruno katra

Normalement ce build corrige tous les bugs qu'on a vu avec Thomas.

https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/LfrFlightSoftware_BuildLpp/76081 ?hideProblemsFromDependencies=false&hideT
FromDependencies=fal xpandBuildChan ion=tr

Une fois validé je tag et je release pour une vrai validation compléte.

#23 - 28/09/2022 05:14 PM - bruno katra

Alexis Jeandet wrote in #note-22:

Normalement ce build corrige tous les bugs qu'on a vu avec Thomas.
https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/LfrFlightSoftware BuildLpp/76081?hideProblemsFromDependencies=false&hi
deTestsFromDependencies=false&expandBuildChangesSection=true

Une fois validé je tag et je release pour une vrai validation compléte.
TEST CTC-951b : sweep a F1 avec KCOEFF UNITAIRES avec "3.3.0.9-¢" (=3.3.0.9 du build ci-dessus) + Analog discovery avec splitter sur Channel
0 afin d'assurer le phasage parfait des signaux injectés, les résultats :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.9-c/CTC-951b&fileid=2718798

#24 - 28/09/2022 05:15 PM - bruno katra

- Assignee changed from bruno katra to thomas chust

#25 - 28/09/2022 06:40 PM - thomas chust

TEST CTC-951b : sweep a F1 avec KCOEFF UNITAIRES avec "3.3.0.9-c" (=3.3.0.9 du build ci-dessus) + Analog discovery avec splitter sur
Channel 0 afin d'assurer le phasage parfait des signaux injectés, les résultats :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.9-c/CTC-951b&fileid=2718798

Premier retour. Tout semble ok pour ce que j'ai vu avec Alexis sauf un point. Les partie imaginaires BP2 ne sont toujours pas ok. Les partie réelles
oui. Je creuse demain ...

#26 - 29/09/2022 02:25 PM - bruno katra

TEST CTC-901c : sweep a F1 avec KCOEFF PAR DEFAUT avec "3.3.0.9-c" (=3.3.0.9 du build ci-dessus) + Analog discovery avec splitter sur
Channel 0 afin d'assurer le phasage parfait des signaux injectés, les résultats :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.9-c/CTC-901c&fileid=2719309

#27 - 29/09/2022 05:36 PM - thomas chust

thomas chust wrote in #note-25:

TEST CTC-951b : sweep a F1 avec KCOEFF UNITAIRES avec "3.3.0.9-¢" (=3.3.0.9 du build ci-dessus) + Analog discovery avec splitter
sur Channel 0 afin d'assurer le phasage parfait des signaux injectés, les résultats :

Premier retour. Tout semble ok pour ce que j'ai vu avec Alexis sauf un point. Les partie imaginaires BP2 ne sont toujours pas ok. Les partie
réelles oui. Je creuse demain ...

Bon, en bref, tout est bon ! Concernant les BP2 il ne fallait pas comparer les parties imaginaires indépendamment des parties réelles. Il faut comparer
les nombres complexes en tant tels. |l se trouve qu'avec les cing signaux ayant pour ainsi dire aucun déphasage, les termes non diagonaux sont
naturellement des nombres complexes trés proches de I'axe réel, et leur parties imaginaires sont donc trés petites devant leurs parties réelles. Ce
que j'ai observé ce n'était rien d'autre que les limites de la résolution numérique (8 bit d'encodage pour ces termes non diagonaux).

Pour sx et vphi et leur bit d'argument, j'ai revérifié sur tous les fichiers, tout est bien ok.

En résumé, avec cette version 3.3.0.9c, lorsque les kcoeff sont unitaires et pour F1 (au moins):

- Les ASM permettent de retrouver a une trés bonne précision tous les résultats de calibration obtenus a partir des SWF: amplitudes et phases
relatives des 5 composantes injectées

- Lorsque je considére une ASM et que je calcule sur PC les BP2 et les BP1, ces derniers sont bien comparables a ceux calculés sur LFR, toutes les
différences observées sont dans une fourchette de valeurs explicable par les limitations des encodages choisis.

#28 - 29/09/2022 05:37 PM - Alexis Jeandet

Cool!, Du coup je release.

#29 - 30/09/2022 04:34 PM - thomas chust
- File ASM default versus ASM unitaires_F1.png added

- Assignee changed from thomas chust to bruno katra

bruno katra wrote in #note-26:

TEST CTC-901c : sweep a F1 avec KCOEFF PAR DEFAUT avec "3.3.0.9-c" (=3.3.0.9 du build ci-dessus) + Analog discovery avec splitter sur
Channel 0 afin d'assurer le phasage parfait des signaux injectés, les résultats :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.9-c/CTC-901 c&fileid=2719309
Premier retour de la comparaison entre ces ASM calibrées a bord avec les kcoef par défaut et les ASM unitaires (#note-23) que je calibre sur PC: les
différences relatives sur toutes les composantes et les 9 ASM par fichier (fréquence injectée) sont < a 0.4%. Plot joint qui illustre cela.

Je vais continuer a analyser le cas mais on peut déja faire des run similaires pour FO puis F2 ... Bon weekend smile.png
#30 - 30/09/2022 04:38 PM - Alexis Jeandet
thomas chust wrote in #note-29:

bruno katra wrote in #note-26:

TEST CTC-901c : sweep a F1 avec KCOEFF PAR DEFAUT avec "3.3.0.9-c" (=3.3.0.9 du build ci-dessus) + Analog discovery avec splitter
sur Channel 0 afin d'assurer le phasage parfait des signaux injectés, les résultats :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.9-c/CTC-901c&fileid=2719309

Premier retour de la comparaison entre ces ASM calibrées a bord avec les kcoef par défaut et les ASM unitaires (#note-23) que je calibre sur
PC: les différences relatives sur toutes les composantes et les 9 ASM par fichier (fréquence injectée) sont < a 0.4%. Plot joint qui illustre cela.

Je vais continuer a analyser le cas mais on peut déja faire des run similaires pour FO puis F2 ... Bon weekend smile.png

Cool, du coup 0.4% c'est cohérent avec ce qu'on devrait attendre? Ca semble faible mais d'un autre coté ¢a fait du 1 pour 250 ce qui est pas si bon
comparé a la résolution attendue.

#31 - 30/09/2022 05:20 PM - bruno katra

thomas chust wrote in #note-29:

Je vais continuer a analyser le cas mais on peut déja faire des run similaires pour FO puis F2 ... Bon weekend smile.png
Ok j'attends la release 3.3.0.10 avant de poursuivre les tests.
Si les bp sont bons maintenant je pense qu'on va cléturer cette issue

#32 - 30/09/2022 05:21 PM - Alexis Jeandet

bruno katra wrote in #note-31:
thomas chust wrote in #note-29:

Je vais continuer a analyser le cas mais on peut déja faire des run similaires pour FO puis F2 ... Bon weekend smile.png

Ok j'attends la release 3.3.0.10 avant de poursuivre les tests.

here she is: https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight Software/releases/tag/3.3.0.10

Si les bp sont bons maintenant je pense qu'on va cléturer cette issue

#33 - 03/10/2022 08:21 AM - thomas chust

bruno katra wrote in #note-31:
Si les bp sont bons maintenant je pense qu'on va cléturer cette issue
Attend encore: il faut encore vérifier a FO et F2

#34 - 03/10/2022 10:13 AM - bruno katra

thomas chust wrote in #note-33:
bruno katra wrote in #note-31:

Si les bp sont bons maintenant je pense qu'on va cléturer cette issue

Attend encore: il faut encore vérifier a FO et F2
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.9-c/CTC-901c&fileid=2719309
https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight_Software/releases/tag/3.3.0.10

Ok je lance un sweep @F0 avec KCOEFF unitaires en 3.3.0.10

#35 - 03/10/2022 12:43 PM - bruno katra

- Assignee changed from bruno katra to thomas chust

TEST CTC-950b : sweep a FO avec KCOEFF UNITAIRES avec "3.3.0.10" + Analog discovery avec splitter sur Channel 0 afin d'assurer le phasage
parfait des signaux injectés, les résultats :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-950b&fileid=2722434

#36 - 03/10/2022 02:16 PM - thomas chust
- File ASM default versus SWF calibrated F1.png added

Alexis Jeandet wrote in #note-30:

Cool, du coup 0.4% c'est cohérent avec ce qu'on devrait attendre? Ca semble faible mais d'un autre coté ¢a fait du 1 pour 250 ce qui est pas si
bon comparé a la résolution attendue.

Je sais pas. En tout cas il faut avoir en téte que I'on compare la 2 sets de données produits a des moments différents (les ASM defaults le 29/10 et
les ASM unitaires le 28/10), ou I'on suppose que les 2 expériences sont "parfaitement" comparables en terme de setup.

Pour le coup j'ai essayé de m'affranchir de cela en comparant les ASM default avec les ASM que je calcule sur PC a partir des SWF enregistrées au
méme moment (les 0.5 s du SWF inclus dans les 4 s de 'ASM). Je trouve un résultat qui confirme le bon calcul a bord et un peu meilleur du point de
vue de la précision: les différences relatives sur toutes les composantes sont < a 0.2%, voir le plot joint. Cette moyenne précision est-elle due au fait
qu'on compare une moyenne de FFT sur 0.5 s au lieu de 4s ? Si tel est le cas, les résults a F2 devraientt étre meilleurs et ceux a FO devraient étre
moins bon.

NB: ce résult a 0.2% a été obtenu avec la méme fenétre de Hanning qu'implémentée sur LFR (symétrique); avec la fenétre de Hanning d'IDL (non
symeétrique a cause d'un point mais périodisable en simple sinusoide), je trouve un résult a 1%.

#37 - 03/10/2022 02:26 PM - Alexis Jeandet

Je sais pas. En tout cas il faut avoir en téte que I'on compare la 2 sets de données produits & des moments différents (les ASM defaults le 29/10
et les ASM unitaires le 28/10), ou I'on suppose que les 2 expériences sont "parfaitement" comparables en terme de setup.

En effet la on peut imaginer que ¢a différe un peu.

Pour le coup j'ai essayé de m'affranchir de cela en comparant les ASM default avec les ASM que je calcule sur PC a partir des SWF
enregistrées au méme moment (les 0.5 s du SWF inclus dans les 4 s de 'ASM). Je trouve un résultat qui confirme le bon calcul a bord et un peu
meilleur du point de vue de la précision: les différences relatives sur toutes les composantes sont < a 0.2%, voir le plot joint. Cette moyenne
précision est-elle due au fait qu'on compare une moyenne de FFT sur 0.5 s au lieu de 4s ? Si tel est le cas, les résults a F2 devraientt étre
meilleurs et ceux a FO devraient étre moins bon.

En réfléchissant trés vite a chaud, je dirais que si I'erreur est pas systématique alors on peut imaginer que le méme calcul sur 4 secondes aurait une
erreur réduite de sqrt(8) ce qui donnerait 0.07% ce qui donne du 1 pour 1500 environ. Je sais toujours pas dire si c'est honorable ou si on peut
encore passer a coté d'une erreur assez débile.

Par contre on peut faire ce test en BURST/SBM non? Du cou tu aurais l'intégralité des waveforms pour comparer.

#38 - 03/10/2022 03:18 PM - bruno katra

TEST CTC-952b : sweep a F2 avec KCOEFF UNITAIRES avec "3.3.0.10" + Analog discovery avec splitter sur Channel 0 afin d'assurer le phasage
parfait des signaux injectés, les résultats :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-952b&fileid=2722673

#39 - 03/10/2022 04:42 PM - bruno katra

TEST CTC-900c : sweep a FO avec KCOEFF PAR DEFAUT avec "3.3.0.10" + Analog discovery avec splitter sur Channel 0 afin d'assurer le phasage
parfait des signaux injectés, les résultats :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-900c&fileid=2722952

#40 - 03/10/2022 06:50 PM - thomas chust
- File ASM default versus ASM unitaires_FO0.png added
- File ASM default versus SWF calibrated_FO0.png added
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-950b&fileid=2722434
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-952b&fileid=2722673
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-900c&fileid=2722952

bruno katra wrote in #note-35:

TEST CTC-950b : sweep a FO avec KCOEFF UNITAIRES avec "3.3.0.10" + Analog discovery avec splitter sur Channel 0 afin d'assurer le
phasage parfait des signaux injectés, les résultats :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-950b&fileid=2722434

bruno katra wrote in #note-39:

TEST CTC-900c : sweep a FO avec KCOEFF PAR DEFAUT avec "3.3.0.10" + Analog discovery avec splitter sur Channel 0 afin d'assurer le
phasage parfait des signaux injectés, les résultats :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/L FR/3.3.0.10/CTC-900c&fileid=2722952

1) Avec le run kcoeff unitaires j'ai pu vérifier que les BP2 et BP1 sont toujours OK a FO

2) La comparaison entre les ASM calibrées a bord avec les kcoeff par défaut et les ASM avec kcoeff unitaires que je calibre sur PC montre un
résultat similaire a ce que j'ai trouvé a F1: les différences relatives sur toutes les composantes et les 9 ASM par fichier (fréquence injectée) sont < a
0.3%. Voir le plot joint.

3) La comparaison entre les ASM calibrées a bord avec les kcoeff par défaut et les ASM que je calcule sur PC a partir des SWF enregistrées au
méme moment (les 0.5 s du SWF inclus dans les 4 s de 'ASM) montre également un résultat similaire a ce que j'ai trouvé a F1: les différences
relatives sur toutes les composantes sont < a 0.2%, voir le plot joint.

En conclusion, la calibration a bord des ASM avec les KCOEFF PAR DEFAUT, et les calculs a bord des BP2 et BP1, sont testés correctes a F1 et
FO, avec les stimuli utilisés jusqu'a présent (5 signaux parfaitement en phase).

#41 - 04/10/2022 10:56 AM - bruno katra

TEST CTC-902c : sweep a F2 avec KCOEFF PAR DEFAUT avec "3.3.0.10" + Analog discovery avec splitter sur Channel 0 afin d'assurer le phasage
parfait des signaux injectés, les résultats :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-902c&fileid=2724566

#42 - 05/10/2022 10:47 AM - thomas chust
- File ASM default versus SWF calibrated F2.png added
- File ASM default versus ASM unitaires_F2.png added

- Assignee changed from thomas chust to bruno katra

bruno katra wrote in #note-41:

TEST CTC-902c¢ : sweep a F2 avec KCOEFF PAR DEFAUT avec "3.3.0.10" + Analog discovery avec splitter sur Channel 0 afin d'assurer le
phasage parfait des signaux injectés, les résultats :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-902c&fileid=2724566

Comme pour les tests a F1 et FO (#note-40), la calibration a bord des ASM avec les KCOEFF PAR DEFAUT (voir plots attachés), et les calculs a
bord des BP2 et BP1, sont testés correctes a F2. smile.png

#43 - 06/10/2022 11:12 AM - bruno katra

- Status changed from In Progress to Closed

Fixed in 3.3.0.10

Files

ASM default versus ASM unitaires_F1.png 137 KB 30/09/2022 thomas chust
ASM default versus SWF calibrated_F1.png 159 KB 03/10/2022 thomas chust
ASM default versus ASM unitaires_FO0.png 147 KB 03/10/2022 thomas chust
ASM default versus SWF calibrated_FO0.png 151 KB 03/10/2022 thomas chust
ASM default versus SWF calibrated_F2.png 149 KB 05/10/2022 thomas chust
ASM default versus ASM unitaires_F2.png 177 KB 05/10/2022 thomas chust
